Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062185 - [abrt] claws-mail: summary_msginfo_unset_flags(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: summary_msginfo_unset_flags(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3554506af6a6ee30923834bd110...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 12:22 UTC by Alois Mahdal
Modified: 2014-06-11 19:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-11 19:25:39 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: cgroup (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: core_backtrace (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: dso_list (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: environ (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: exploitable (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: limits (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: maps (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: open_fds (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: proc_pid_status (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details
File: var_log_messages (deleted)
2014-02-06 12:22 UTC, Alois Mahdal
no flags Details

Description Alois Mahdal 2014-02-06 12:22:26 UTC
Description of problem:
I just used Ignore thread feature in a threaded view in a mailing list folder. 

The mailbox is configured to use IMAP and GSSAPI (ticket was not outdated) and filtering is done on server side (Zimbra)

Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        claws-mail
crash_function: summary_msginfo_unset_flags
executable:     /usr/bin/claws-mail
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            22482

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 summary_msginfo_unset_flags at summaryview.c:3436
 #1 summary_ignore_thread_func at summaryview.c:7581
 #2 gtk_cmctree_pre_recursive at gtkcmctree.c:3390
 #3 summary_ignore_thread at summaryview.c:7597
 #8 _gtk_action_emit_activate at gtkaction.c:795
 #9 _g_closure_invoke_va at gclosure.c:840
 #12 gtk_widget_activate at gtkwidget.c:5048
 #13 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #14 gtk_menu_shell_button_release at gtkmenushell.c:730
 #15 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86

Comment 1 Alois Mahdal 2014-02-06 12:22:31 UTC
Created attachment 860114 [details]
File: backtrace

Comment 2 Alois Mahdal 2014-02-06 12:22:33 UTC
Created attachment 860115 [details]
File: cgroup

Comment 3 Alois Mahdal 2014-02-06 12:22:35 UTC
Created attachment 860116 [details]
File: core_backtrace

Comment 4 Alois Mahdal 2014-02-06 12:22:37 UTC
Created attachment 860117 [details]
File: dso_list

Comment 5 Alois Mahdal 2014-02-06 12:22:41 UTC
Created attachment 860118 [details]
File: environ

Comment 6 Alois Mahdal 2014-02-06 12:22:43 UTC
Created attachment 860119 [details]
File: exploitable

Comment 7 Alois Mahdal 2014-02-06 12:22:45 UTC
Created attachment 860120 [details]
File: limits

Comment 8 Alois Mahdal 2014-02-06 12:22:47 UTC
Created attachment 860121 [details]
File: maps

Comment 9 Alois Mahdal 2014-02-06 12:22:49 UTC
Created attachment 860123 [details]
File: open_fds

Comment 10 Alois Mahdal 2014-02-06 12:22:51 UTC
Created attachment 860124 [details]
File: proc_pid_status

Comment 11 Alois Mahdal 2014-02-06 12:22:52 UTC
Created attachment 860126 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-02-06 12:38:26 UTC
> I just used Ignore thread feature in a threaded view in a mailing list folder.

Would you please be so kind and tell whether the problem is reproducible or whether it crashed only once and spontaneously?

Comment 13 Alois Mahdal 2014-02-06 14:37:18 UTC
(In reply to Michael Schwendt from comment #12)
> > I just used Ignore thread feature in a threaded view in a mailing list folder.
> 
> Would you please be so kind and tell whether the problem is reproducible or
> whether it crashed only once and spontaneously?

No, for now, I don't know if/how it's possible to reproduce this.

I have tried again to ignore the same thread (the setting apparently was not saved/applied) and some other threads, and claws-mail did not crash.

Comment 14 Michael Schwendt 2014-05-27 06:49:37 UTC
A new release of Claws Mail (and its dependency libetpan) is available for testing with Fedora 20 and Fedora 19:

  https://admin.fedoraproject.org/updates/search/claws

Please allow for the time it takes for the packages to show up in the "updates-testing" repository and then to be picked up by the world-wide download mirror servers.

Comment 15 Michael Schwendt 2014-06-11 19:25:39 UTC
Lack of reproducibility could mean the crash is one of the side-effects caused by memory corruption in Claws Mail older than 3.10.0.


Note You need to log in before you can comment on or make changes to this bug.